java.util

## Class NoSuchElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.NoSuchElementException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InputMismatchException

    public class NoSuchElementException
    extends RuntimeException

Thrown by the `nextElement` method of an `Enumeration` to indicate that there are no more elements in the enumeration.

Since:
  JDK1.0
See Also:
  `Enumeration`, `Enumeration.nextElement()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchElementException()` Constructs a `NoSuchElementException` with `null` as its error message string.
`NoSuchElementException(String s)` Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchElementException

    public NoSuchElementException()

Constructs a `NoSuchElementException` with `null` as its error message string.

#### NoSuchElementException

    public NoSuchElementException(String s)

Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.